Subject: Offline Message from Alex pagan: Hi guys I have 2 eb7 s and 1 eb5 I bought fr
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 16 Apr 2022 17:52:30 -0000

From: Alex pagan <[email-masked]>
Phone: 6073865934
Location: Syracuse, United States
URL: https://swagtron.com/product/swagtron-eb-7-swagcycle-long-range-ebike/
Department: SwagTron

Hi guys I have 2 eb7 s and 1 eb5 I bought from u guys a few years back n I love them ,  was looking to buy maybe 5  eb7 s white but  wanted to ask if you can do a deal for $550 , 600 a pc would be greatly appreciated, I live in a small town in upstate ny n I’ve been passing the word on about your site , when everyone  asks about our folding evokes lol, thanks 

----
Zopim
https://www.zopim.com